/*
 * simple test of a file 'globbing' type function.
 *
 * NOTES: 
 *
 *    Seems to be case sensitive for file names, but not directory names!
 *
 *    See glob.c for wildcard expression syntax.
 *
 *    Filenames are simply 11 character strings - no attempt is made to insert
 *    the "." before the extension (if any!) - this would need to be done 
 *    manually in the listDir function (which current just uses the raw 
 *    directory entry).
 *
 */

void main() {
   char dirname[256];
   char pattern[256];

   printf("Press a key to start\r\n");
   k_wait();

   printf("Mounting SD Card\r\n");
   mountFatVolume();

   while (1) {

      printf("Directory to search (null for root dir):");
      gets(dirname);
      printf("\r\n");
      printf("File name to match (wildcard expression):");
      gets(pattern);
      printf("\r\n");

      // list subdirectory 'dirname' entries that match 'pattern'
      listDir(dirname, pattern);
   }


}
